import { FC, useState } from 'react'
import SwitchComponent from '../../../components/Switch'
import { useToggleStatusPlan } from '../hooks/useServiceData'

type Props = {
    defaultActive: boolean,
    id: string
}

const ToggleStatusPlan: FC<Props> = (props: Props) => {

    const [isActive, setIsActive] = useState<boolean>(props.defaultActive)
    const toggleStatus = useToggleStatusPlan()

    const handleChange = (value: boolean) => {
        setIsActive(value)
        toggleStatus.mutate(props.id)
    }

    return (
        <SwitchComponent
            active={isActive}
            onChange={handleChange}
        />
    )
}

export default ToggleStatusPlan